Create space
curl -X POST "//v1/spaces" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (API Key)" \
-d '{
"name": "John Doe",
"description": "example_string",
"settings": {}
}'
import requests
import json
url = "//v1/spaces"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (API Key)"
}
data = {
"name": "John Doe",
"description": "example_string",
"settings": {}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("//v1/spaces", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (API Key)"
},
body: JSON.stringify({
"name": "John Doe",
"description": "example_string",
"settings": {}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "John Doe",
"description": "example_string",
"settings": {}
}`)
req, err := http.NewRequest("POST", "//v1/spaces", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (API Key)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('//v1/spaces')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (API Key)'
request.body = '{
"name": "John Doe",
"description": "example_string",
"settings": {}
}'
response = http.request(request)
puts response.body
{}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
POST
/v1/spaces
POST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token (API Key)
Bearer Tokenstring
RequiredUser API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
User API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (API Key). User API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
Responses
Was this page helpful?